#include "aopp.hpp"

using namespace AOPP;

AOSystem::AOSystem() {
    ao_initialize();
    }

AOSystem::~AOSystem() {
    ao_shutdown();
    }

AOInfo ** AOSystem::driver_info_list( int *driver_count ) {
    *driver_count = 0;
    ao_info **list = NULL;

    list = ao_driver_info_list( driver_count );

    return static_cast<AOInfo **>(list);
    }

int AOSystem::default_driver_id( void ) {
    return ao_default_driver_id();
    }

int AOSystem::is_big_endian( void ) {
    return ao_is_big_endian();
    }

int AOSystem::append_global_option( const char *key, const char *value ) {
    return append_global_option( key, value );
    }
